[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# BuildUp

Build a double value

## Declaration

Source position: mathh.inc line 190

`procedure TDoubleRec.BuildUp(`
`const _Sign: Boolean;`
`const _Mantissa: QWord;`
`const _Exponent: LongInt`
`);`

## Description

Buildup will build a double value from the given _Sign, _Mantissa and _Exponent.

## See also

TDoubleRec.Mantissa |  | Mantissa of the floating point value
TDoubleRec.Sign |  | Sign of the floating point value
TDoubleRec.Exp |  | Exponent bitpattern representation